@inproceedings{corneli2005scholia,
title={A Scholia-based Document Model for Commons-based Peer Production},
author={J. Corneli and A. Krowne},
booktitle={Free Culture and the Digital Library Symposium Proceedings},
address={Atlanta, Georgia},
editor={M. Halbert},
publisher={MetaScholar Initiative at Emory University},
pages={240--253},
year={2005},
url={http://metameso.org/~joe/docs/sbdm.html},
keywords = {scholia, commons-based peer production}
}

@inproceedings{budzynska2014model,
  author    = {Katarzyna Budzynska and
               Mathilde Janier and
               Chris Reed and
               Patrick Saint{-}Dizier and
               Manfred Stede and
               Olena Yaskorska},
  title     = {A Model for Processing Illocutionary Structures and Argumentation in Debates},
  booktitle = {Proceedings of the Ninth International Conference on Language Resources
               and Evaluation (LREC-2014), Reykjavik, Iceland, May 26-31, 2014},
  pages     = {917--924},
  year      = {2014},
  url       = {http://www.lrec-conf.org/proceedings/lrec2014/summaries/77.html},
  timestamp = {Fri, 26 Sep 2014 08:11:49 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/conf/lrec/BudzynskaJRSSy14},
  bibsource = {dblp computer science bibliography, http://dblp.org},
  keywords = {inference anchoring theory, IAT}
}

@article{benkler2002coase,
  title={Coase's {Penguin}, or, {Linux} and {``}{The} {Nature} of the {Firm}{''}},
  author={Benkler, Yochai},
  journal={Yale Law Journal},
  pages={369--446},
  year={2002},
  publisher={JSTOR},
  keywords = {commons-based peer production}
}


@article{krowne2003building,
  title={Building a digital library the commons-based peer production way},
  author={Krowne, Aaron},
  journal={D-Lib magazine},
  volume={9},
  number={10},
  year={2003},
  keywords = {commons-based peer production, digital libraries}
}

@book{nelson1981literary,
	author = {Nelson, T.H.},
	title = {{L}iterary {M}achines: {T}he report on, and of, {P}roject {X}anadu concerning word processing, electronic publishing, hypertext, thinkertoys, tomorrow's intellectual revolution, and certain other topics including knowledge, education and freedom},
	publisher = {Sausalito, California: Mindful Press},
	year = {1981},
	keywords = {hypertext, knowledge}
}

@INPROCEEDINGS{pease:05,
 AUTHOR   ={Pease, A., Colton, S., Smaill, A., and Lee, J.},
 YEAR     ={2005},
 TITLE    ={Modelling Lakatos's philosophy of mathematics},
 BOOKTITLE={Computing, philosophy and cognition: Proceedings of the European Computing and Philosophy Conference (ECAP 2004)},
 PAGES = {57-85},
 EDITOR   ={Magnani, L. and Dossena, R.},
 PUBLISHER={College Publications}, 
 ADDRESS  ={},
 }

@article{pease2017lakatos,
author = {Alison Pease and John Lawrence and Katarzyna Budzynska and Joseph Corneli and Chris Reed},
title = {Lakatos-style Collaborative Mathematics through Dialectical, Structured and Abstract Argumentation},
journal = {Artificial Intelligence},
volume = {246},
pages = {181--219},
year = {2017},
month={May},
addendum = {{\textbf{CORE: A*}}},
keywords = {argumentation, mathematics}
}

@inproceedings{kaliszyk2014developing,
  title={Developing corpus-based translation methods between informal and formal mathematics},
  author={Kaliszyk, Cezary and Urban, Josef and Vysko{\v{c}}il, Ji{\v{r}}{\'\i} and Geuvers, Herman},
  booktitle={International Conference on Intelligent Computer Mathematics},
  pages={435--439},
  year={2014},
  organization={Springer},
  url={http://cl-informatik.uibk.ac.at/cek/docs/14/ckjujvhg-cicm14-poster.pdf},
  keywords = {corpus-based translation}
}

@misc{kaliszyk2014developing-misc,
  title={Developing corpus-based translation methods between informal and formal mathematics [{P}oster of \cite{kaliszyk2014developing}]},
  author={Kaliszyk, Cezary and Urban, Josef and Vysko{\v{c}}il, Ji{\v{r}}{\'\i} and Geuvers, Herman},
  url={http://cl-informatik.uibk.ac.at/cek/docs/14/ckjujvhg-cicm14-poster.pdf},
  note={\url{http://cl-informatik.uibk.ac.at/cek/docs/14/ckjujvhg-cicm14-poster.pdf}},
  keywords = {corpus statistics}
}

@inproceedings{sowa2003analogical,
  title={Analogical reasoning},
  author={Sowa, John F and Majumdar, Arun K},
  editor={A. Aldo and W. Lex and B. Ganter},
  booktitle={Conceptual Structures for Knowledge Creation and Communication: 11th International Conference on Conceptual Structures, ICCS 2003, Dresden, Germany, July 21-25, 2003, Proceedings},
  pages={16--36},
  series={LNAI},
  number={2746},
  year={2003},
  organization={Springer},
  keywords = {analogical reasoning}
}

@incollection{sowa2008conceptual,
  title={Conceptual Graphs},
  author={Sowa, John F},
  booktitle={Handbook of Knowledge Representation},
  editor={van Harmelen, F. and  Lifschitz, V. and Porter, B.},
  publisher={Elsevier},
  year={2008},
  pages={213--237},
  chapter={5},
  keywords = {conceptual graphs}}

@article{lytinen1992conceptual,
  title={Conceptual dependency and its descendants},
  author={Lytinen, Steven L},
  journal={Computers \& Mathematics with Applications},
  volume={23},
  number={2-5},
  pages={51--73},
  year={1992},
  publisher={Elsevier},
  keywords = {conceptual dependency}
}

@article{schank1972conceptual,
  title={Conceptual dependency: A theory of natural language understanding},
  author={Schank, Roger C},
  journal={Cognitive psychology},
  volume={3},
  number={4},
  pages={552--631},
  year={1972},
  publisher={Academic Press},
  keywords = {conceptual dependency, natural language}
}

@phdthesis{leon2011computational,
  title={A computational model for automated extraction of structural schemas from simple narrative plots},
  author={Le{\'o}n Aznar, Carlos},
  year={2011},
  school={Universidad Complutense de Madrid, Servicio de Publicaciones},
  keywords={stories}
}

@book{barr1981handbook,
  title={The handbook of artificial intelligence},
  author={Barr, Avron and Feigenbaum, Edward A},
  volume={1},
  year={1981},
  publisher={Butterworth-Heinemann},
  url={https://archive.org/details/handbookofartific01barr},
  keywords={handbook}
}

@inproceedings{corneli2017towards,
title={Towards mathematical {AI} via a model of the content and process of mathematical question and answer dialogues},
author={Joseph Corneli and Ursula Martin and Dave Murray-Rust and Alison Pease},
booktitle={Intelligent Computer Mathematics 10th International Conference, CICM 2017, Edinburgh, UK, 2017, Proceedings},
editor={Herman Geuvers and Matthew England and Osman Hasan and Florian Rabe and Olaf Teschke},
year={2017},
url={http://metameso.org/~joe/papers/corneli2017towards.pdf},
keywords={IATC}}

@inproceedings{martin2017bootstrapping,
title={Bootstrapping the next generation of mathematical social machines},
author={Ursula Martin and Alison Pease and Joseph Corneli},
booktitle={Off the Beaten Track workshop at POPL, UPMC Paris, January 21, 2017},
editor={Kuper, Lindsey and Atkey, Bob},
year={2017},
organization={\textbf{ACM}},
url={http://popl17.sigplan.org/event/obt-2017-talk-5},
keywords={IATC, social machines}}

@article{lamport1995write,
  title={How to write a proof},
  author={Lamport, Leslie},
  journal={The {A}merican {M}athematical {M}onthly},
  volume={102},
  number={7},
  pages={600--608},
  year={1995},
  publisher={JSTOR}
}

@article{lamport2012write21st,
  title={How to write a 21st century proof},
  author={Lamport, Leslie},
  journal={Journal of fixed point theory and applications},
  volume={11},
  number={1},
  pages={43--63},
  year={2012},
  publisher={Springer}
}

@book{lakatos1976proofs,
  title={Proofs and {Refutations}: {The} {Logic} of {Mathematical} {Discovery}},
  author={Lakatos, Imre},
  year={1976},
  publisher={Cambridge University Press}
}

@article {Bundy20130194,
  author = {Bundy, Alan},
  title = {The interaction of representation and reasoning},
  volume = {469},
  number = {2157},
  year = {2013},
  doi = {10.1098/rspa.2013.0194},
  publisher = {The Royal Society},
  abstract = {Automated reasoning is an enabling technology for many applications of informatics. These applications include verifying that a computer program meets its specification; enabling a robot to form a plan to achieve a task and answering questions by combining information from diverse sources, e.g. on the Internet, etc. How is automated reasoning possible? Firstly, knowledge of a domain must be stored in a computer, usually in the form of logical formulae. This knowledge might, for instance, have been entered manually, retrieved from the Internet or perceived in the environment via sensors, such as cameras. Secondly, rules of inference are applied to old knowledge to derive new knowledge. Automated reasoning techniques have been adapted from logic, a branch of mathematics that was originally designed to formalize the reasoning of humans, especially mathematicians. My special interest is in the way that representation and reasoning interact. Successful reasoning is dependent on appropriate representation of both knowledge and successful methods of reasoning. Failures of reasoning can suggest changes of representation. This process of representational change can also be automated. We will illustrate the automation of representational change by drawing on recent work in my research group.},
  issn = {1364-5021},
  URL = {http://rspa.royalsocietypublishing.org/content/469/2157/20130194},
  eprint = {http://rspa.royalsocietypublishing.org/content/469/2157/20130194.full.pdf},
  journal = {Proceedings of the Royal Society of London A: Mathematical, Physical and Engineering Sciences}
}

@inproceedings{sussman2005programming,
  title={Why programming is a good medium for expressing poorly understood and sloppily formulated ideas},
  author={Sussman, Gerald Jay},
  booktitle={{OOPSLA} '05: {C}ompanion to the 20th annual {ACM} {SIGPLAN} conference on {O}bject-oriented programming, systems, languages, and applications},
  pages={6--6},
  year={2005},
  organization={ACM}
}

@article{mccarthy2008well,
  title={The well-designed child},
  author={McCarthy, John},
  journal={Artificial Intelligence},
  volume={172},
  number={18},
  pages={2003--2014},
  year={2008},
  publisher={Elsevier}
}

@inproceedings{sussman2011programming,
  title={We {Really} {Don't} {Know} {How} {To} {Compute!}},
  author={Sussman, Gerald Jay},
  booktitle={Strange Loop},
  year={2011},
  url={https://www.infoq.com/presentations/We-Really-Dont-Know-How-To-Compute},
  abstract={Though we have been building and programming computing machines for about 60 years and have learned a great deal about composition and abstraction, we have just begun to scratch the surface. A mammalian neuron takes about ten milliseconds to respond to a stimulus. A driver can respond to a visual stimulus in a few hundred milliseconds, and decide an action, such as making a turn. So the computational depth of this behavior is only a few tens of steps. We don't know how to make such a machine, and we wouldn't know how to program it. The human genome -- the information required to build a human from a single, undifferentiated eukariotic cell -- is about 1GB. The instructions to build a mammal are written in very dense code, and the program is extremely flexible. Only small patches to the human genome are required to build a cow or a dog rather than a human. Bigger patches result in a frog or a snake. We don't have any idea how to make a description of such a complex machine that is both dense and flexible. New design principles and new linguistic support are needed. I will address this issue and show some ideas that can perhaps get us to the next phase of engineering design.},
}

@techreport{gabi-iatc,
  title={Extending {Inference} {Anchoring} {Theory} for use with mathematical argumentation},
  author={Rino Nesin, Gabriela},
  institution={University of Edinburgh},
  year={2016}}

@book{mercier2017enigma,
  title={The enigma of reason},
  author={Mercier, Hugo and Sperber, Dan},
  year={2017},
  publisher={Harvard University Press}
}

@article{moshman2004inference,
  title={From inference to reasoning: {The} construction of rationality},
  author={Moshman, David},
  journal={Thinking \& Reasoning},
  volume={10},
  number={2},
  pages={221--239},
  year={2004},
  publisher={Taylor \& Francis}
}

@inproceedings{gabriel2000mob,
  title={Mob software: {The} erotic life of code},
  author={Gabriel, Richard P and Goldman, Ron},
  booktitle={Proc. {A}{C}{M} {C}onf. {O}bject-{O}riented {P}rogramming, {S}ystems, {L}anguages, and {A}pplications},
  year={2000}
}

@article{lamport1994temporal,
  title={The temporal logic of actions},
  author={Lamport, Leslie},
  journal={ACM Transactions on Programming Languages and Systems (TOPLAS)},
  volume={16},
  number={3},
  pages={872--923},
  year={1994},
  publisher={ACM}
}

@article{lamport1999specifying,
  title={Specifying {Concurrent} {Systems} with {TLA}{$^{+}$}},
  author={Lamport, Leslie},
  journal={NATO Science Series, III: Computer and Systems Sciences},
  volume={173},
  pages={183--247},
  year={1999},
  publisher={IOS Press},
  number={173},
  series={Calculational System Design},
  place={Amsterdam}
}

@article{lamport2014tla2,
  title={{TLA}$^{+2}$: {A} {Preliminary} {Guide}},
  author={Lamport, Leslie},
  url={http://lamport.azurewebsites.net/tla/tla2-guide.pdf},
  year={2014},
}

@article{alexander1964city,
  title={A city is not a tree},
  author={Alexander, Christopher},
  journal={Architectural Forum},
  volume={122},
  number={1},
  year={1965},
  month={April},
  pages={58--62},
}

@book{alexander2012battle,
  title={The battle for the life and beauty of the earth: a struggle between two world-systems},
  author={Alexander, Christopher and Neis, Hans Joachim and Alexander, Maggie Moore},
  year={2012},
  publisher={Oxford University Press}
}

@inproceedings{gucklesberger2017addressing,
author={Christian Guckelsberger and Christoph Salge and Simon Colton},
title={{Addressing} the {``}{Why?}{''} in {Computational} {Creativity}: {A} {Non-Anthropocentric}, {Minimal} {Model} of {Intentional} {Creative} {Agency}},
editor={Goel, Ashok and Jordanous, Anna and Pease, Alison and Jacob, Mikhail and Guzdial, Matthew},
booktitle={Proceedings of the Eighth International Conference on Computational Creativity, ICCC 2017},
year={2017},
url={http://computationalcreativity.net/iccc2017/ICCC_17_accepted_submissions/ICCC-17_paper_37.pdf}
}

@inproceedings{veale2017dejavu,
author={Tony Veale},
title={D{\'e}j{\`a} {Vu} {All} {Over} {Again}: {On} the {Creative} {Value} of {Familiar} {Elements} in the {Telling} of {Original} {Tales}},
editor={Goel, Ashok and Jordanous, Anna and Pease, Alison and Jacob, Mikhail and Guzdial, Matthew},
booktitle={Proceedings of the Eighth International Conference on Computational Creativity, ICCC 2017},
year={2017},
url={http://computationalcreativity.net/iccc2017/ICCC_17_accepted_submissions/ICCC-17_paper_11.pdf}
}

@inproceedings{martin1999computers,
  title={Computers, reasoning and mathematical practice},
  author={Martin, U.},
  booktitle={{Computational} {Logic}: {Proceedings} of the {NATO} {Advanced} {Study} {Institute} on {Computational} {Logic}},
  pages={301--346},
  editor={Ulrich Berger and Helmut Schwichtenberg},
  year={1999},
  organization={Springer},
  note={Held in Marktoberdorf, Germany, July 29 – August 10, 1997.}
}

@book{hilbert1992natur,
  title={Natur und mathematisches Erkennen: Vorlesungen, gehalten 1919-1920 in G{\"o}ttingen},
  author={Hilbert, David},
  year={[1919] 1992},
  publisher={Birkh{\"a}user}
}

@article{corry1997origins,
  title={The origins of eternal truth in modern mathematics: {Hilbert} to {Bourbaki} and beyond},
  author={Corry, Leo},
  journal={Science in Context},
  volume={10},
  number={02},
  pages={253--296},
  year={1997},
  publisher={Cambridge Univ Press}
}

@misc(gowers-massively,
    author={Gowers, Timothy},
    title={Is massively collaborative mathematics possible?},
    howpublished={\url{http://gowers.wordpress.com/is-massively-collaborative-mathematics-possible/}},
    note = {Accessed: 2017-05-30}
)



@Article{Ganesalingam2016,
author="Ganesalingam, M.
and Gowers, W. T.",
title="A Fully Automatic Theorem Prover with Human-Style Output",
journal="Journal of Automated Reasoning",
year="2016",
pages="1--39",
abstract="This paper describes a program that solves elementary mathematical problems, mostly in metric space theory, and presents solutions that are hard to distinguish from solutions that might be written by human mathematicians.",
issn="1573-0670",
doi="10.1007/s10817-016-9377-1",
url="http://dx.doi.org/10.1007/s10817-016-9377-1"
}

@article{gowers2009massively,
  title={Massively collaborative mathematics},
  author={Gowers, W.T. and Nielsen, M.},
  journal={Nature},
  volume={461},
  number={7266},
  pages={879--881},
  year={2009},
  publisher={Nature Publishing Group}
}

@misc{gowers-talk,
 author={Gowers, W.T. and Ganesalingam, M.},
 title={Modelling the mathematical discovery process},
 note={Maxwell Institute Lecture, Fri, November 2, 4pm -- 5pm, James Clerk Maxwell Building, University of Edinburgh},
 year={2012},
}

@techreport{schank-and-birnbaum,
  title={Memory, meaning, and syntax},
  author={Schank, R. and Birnbaum, L},
  institution={Department of Computer Science, Yale University},
  number={189},
  year={1980}}

@article{ehrig1992introduction,
  title={Introduction to graph grammars with applications to semantic networks},
  author={Ehrig, Hartmut and Habel, Annegret and Kreowski, Hans-J{\"o}rg},
  journal={Computers \& Mathematics with Applications},
  volume={23},
  number={6-9},
  pages={557--572},
  year={1992},
  publisher={Elsevier}
}

@mastersthesis{ginev2011structure,
  title={The structure of mathematical expressions},
  author={Ginev, Deyan},
  year={2011},
  school={Jacobs University},
  address={Bremen, Germany}
}

@article{godel1994qed,
  title={The {QED} {Manifesto}},
  author={Anonymous},
  journal={Lecture Notes in Artificial Intelligence},
  volume={814},
  pages={238--251},
  year={1994}
}

@article{scott1993type,
  title={A type-theoretical alternative to {ISWIM}, {CUCH}, {OWHY}},
  author={Scott, Dana S},
  journal={Theoretical Computer Science},
  volume={121},
  number={1-2},
  pages={411--440},
  year={1993},
  publisher={Elsevier}
}

@article{tarski1986logical,
  title={What are logical notions?},
  author={Tarski, Alfred and Corcoran, John},
  journal={History and philosophy of logic},
  volume={7},
  number={2},
  pages={143--154},
  year={1986},
  publisher={Taylor \& Francis}
}

@book{alexander1977pattern,
  title={{A} {P}attern {L}anguage: {T}owns, {B}uildings, {C}onstruction},
  author={Alexander, Christopher and Ishikawa, Sara and Silverstein, Murray},
  year={1977},
  series={Center for Environmental Structure Series},
  publisher={Oxford University Press},
  address={Oxford}
}

@book{alexander1964notes,
  title={Notes on the Synthesis of Form},
  author={Alexander, Christopher},
  volume={5},
  year={1964},
  publisher={Harvard University Press}
}

@article{halmos1970write,
  title={How to write mathematics},
  author={Halmos, Paul R},
  journal={Enseign. Math},
  volume={16},
  number={2},
  pages={123--152},
  year={1970}
}

@article{william1994proof,
  title={On proof and progress in mathematics},
  author={Thurston, William},
  journal={Bull. Amer. Math. Soc.(NS)},
  volume={30},
  pages={161--177},
  year={1994}
}

@article{thurston-math-ed,
title={Mathematical education},
author={Thurston, W.P.},
journal={Notices of the AMS},
volume={37},
number={7},
year={1990},
pages={844--850}
}

@article{simon1958heuristic,
  title={Heuristic problem solving: The next advance in operations research},
  author={Simon, Herbert A and Newell, Allen},
  journal={Operations research},
  volume={6},
  number={1},
  pages={1--10},
  year={1958},
  publisher={INFORMS}
}


@article{sloman2008well,
  title={The well-designed young mathematician},
  author={Sloman, Aaron},
  journal={Artificial Intelligence},
  volume={172},
  number={18},
  pages={2015--2034},
  year={2008},
  publisher={Elsevier}
}


@article{wiedijk2007qed,
  title={The {QED} manifesto revisited},
  author={Wiedijk, Freek},
  journal={Studies in Logic, Grammar and Rhetoric},
  volume={10},
  number={23},
  pages={121--133},
  year={2007}
}

@article{harrison2016preface,
  title={Preface: Twenty Years of the {QED} Manifesto},
  author={Harrison, John and Urban, Josef and Wiedijk, Freek},
  journal={Journal of Formalized Reasoning},
  volume={9},
  number={1},
  pages={1--2},
  year={2016}
}

@book{peirce-diagrammatic,
  title={The New Elements of Mathematics},
  author={Peirce, Charles S.},
  volume={4},
  publisher={Mouton},
  place={The Hague, Netherlands},
  year={1976}}

@article{DBLP:journals/corr/KaliszykCS17,
  author    = {Cezary Kaliszyk and
               Fran{\c{c}}ois Chollet and
               Christian Szegedy},
  title     = {HolStep: {A} Machine Learning Dataset for Higher-order Logic Theorem
               Proving},
  journal   = {CoRR},
  volume    = {abs/1703.00426},
  year      = {2017},
  url       = {http://arxiv.org/abs/1703.00426},
  timestamp = {Mon, 03 Apr 2017 12:41:34 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/corr/KaliszykCS17},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}


@article{DBLP:journals/corr/LoosISK17,
  author    = {Sarah M. Loos and
               Geoffrey Irving and
               Christian Szegedy and
               Cezary Kaliszyk},
  title     = {Deep Network Guided Proof Search},
  journal   = {CoRR},
  volume    = {abs/1701.06972},
  year      = {2017},
  url       = {http://arxiv.org/abs/1701.06972},
  timestamp = {Wed, 01 Feb 2017 17:47:56 +0100},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/corr/LoosISK17},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}


@book{ganesalingam2013language,
  title={The {Language} of {Mathematics}, {A} {Linguistic} and {Philosophical} {Investigation}},
  author={Ganesalingam, Mohan},
  series={LNCS},
  volume={7805},
  year={2013},
  publisher={Springer Verlag}
}

@inproceedings{cramer2011parsing,
  title={Parsing and disambiguation of symbolic mathematics in the Naproche system},
  author={Cramer, Marcos and Koepke, Peter and Schr{\"o}der, Bernhard},
  booktitle={International Conference on Intelligent Computer Mathematics},
  pages={180--195},
  year={2011},
  organization={Springer}
}

@inproceedings{cramer2010presupposition,
  title={Presupposition Projection and Accommodation in Mathematical Texts.},
  author={Cramer, Marcos and K{\"u}hlwein, Daniel and Schr{\"o}der, Bernhard},
  booktitle={KONVENS},
  pages={29--36},
  year={2010}
}

@incollection{gowers2000two,
  title={The two cultures of mathematics},
  author={Gowers, William Timothy},
  booktitle={Mathematics: Frontiers and Perspectives},
  editor={V. Arnold and others},
  pages={65--78},
  year={2000},
  publisher={American Mathematics Society}
}


@book{gabriel1996patterns,
  title={Patterns of software},
  author={Gabriel, Richard P},
  year={1996},
  publisher={Oxford University Press},
  place={New York}
}

@phdthesis{grimm2013implementation,
  title={Implementation of bourbaki's elements of mathematics in coq: part one, theory of sets},
  author={Grimm, Jos{\'e}},
  year={2013},
  journal={research report RR-6999, INRIA. 2013, pp.205},
  school={INRIA}
}

@article{grimm2009implementation,
  title={Implementation of Bourbaki’s Elements of Mathematics in Coq: Part Two; Ordered Sets, Cardinals, Integers},
  author={Grimm, Jos{\'e}},
  journal={Research Report RR-7150, INRIA},
  year={2009}
}

@phdthesis{grimm2015implementation,
  title={Implementation of Bourbaki's Elements of Mathematics in Coq: Part Two; Ordered Sets, Cardinals, Integers},
  author={Grimm, Jos{\'e}},
  year={2015},
  school={Inria Sophia Antipolis; INRIA}
}


@article{mccarthy1960recursive,
  title={Recursive functions of symbolic expressions and their computation by machine, {Part} {I}},
  author={McCarthy, John},
  journal={Communications of the ACM},
  volume={3},
  number={4},
  pages={184--195},
  year={1960},
  publisher={ACM}
}
